const cdk = require('aws-cdk-lib');
const s3 = require('aws-cdk-lib/aws-s3');
const lambda = require('aws-cdk-lib/aws-lambda');

class PdfGenAppCdkStack extends cdk.Stack {
  /**
   * @param {cdk.App} scope
   * @param {string} id
   * @param {cdk.StackProps=} props
   */
  constructor(scope, id, props) {
    super(scope, id, props);

      new s3.Bucket(this, 'pdfGeneratorS3Bucket', {
          bucketName: 'pdfgeneratorbucketpdf',
          publicReadAccess: false,
      })

      new lambda.Function(this, 'pdfGeneratorFunction', {
          runtime: lambda.Runtime.NODEJS_16_X,
          handler: 'index.handler',
          memorySize: 1024,
          code: lambda.Code.fromAsset('../../app/'),
      }).addFunctionUrl({authType: lambda.FunctionUrlAuthType.NONE})

  }
}

module.exports = { PdfGenAppCdkStack }
